<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class RFLotePagos extends Model
{
    protected $table = 'lote_pagos';
    protected $fillable = ['total'];
    protected $connection = 'escolar';

    public function servicios_pagados(){
      return $this->hasMany('App\RFServiciosPagados', 'fk_idLote', 'id');
    }

    public function alumno_pagos(){
      return $this->hasMany('App\RFAlumnoHistoricoPagos', 'fk_idLote', 'id');
    }

    public function aspirante_pagos(){
      return $this->hasMany('App\RFAspiranteHistoricoPagos', 'fk_idLote', 'id');
    }

    public function observaciones(){
      return $this->hasMany('App\RFObservacionPago', 'fk_idLote', 'id');
    }


}
